ASIN(3) | NetBSD Library Functions Manual | ASIN(3)

# NAME

asin, asinf — arc sine function

# LIBRARY

Math Library (libm, -lm)

# SYNOPSIS

#include <math.h>

double
asin(double x);

float
asinf(float x);

# DESCRIPTION

The asin() and asinf() functions compute the principal value of the arc sine of x in the range [-π/2, +π/2].

# RETURN VALUES

If |x|>1, asin(x) and asinf(x) return NaN and set the global variable errno to EDOM.

# SEE ALSO

acos(3), atan(3), atan2(3), cos(3), cosh(3), math(3), sin(3), sinh(3), tan(3), tanh(3)

# STANDARDS

The asin() function conforms to ANSI X3.159-1989 (“ANSI C”).

May 2, 1991 | NetBSD 5.99